# Read a source-backed thread and its latest source

Read status, initial sourceId and latestSourceId. Download the latter through the Sources API. Read a specific run through the Platform run endpoint; the app's events stream, filtered by threadId, provides streamed progress.

`GET /api/platform/v1/apps/{appId}/threads/{threadId}`

Required permission: `thread:read`.

## Parameters

| Name | In | Type | Required | Description |

| --- | --- | --- | --- | --- |

| `appId` | path | `string` | Yes | — |

| `threadId` | path | `string` | Yes | — |

## Example request

```bash
curl --request GET \
  --url https://api.hoplite.sh/api/platform/v1/apps/appId/threads/threadId \
  --header "X-Api-Key: $HOPLITE_API_KEY"
```

## 200 response

Success

Content type: `application/json`. Response type: `object`.

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `ok` | `boolean` | Yes | true | — |
| `thread` | `object` | Yes | — | — |
| `thread.id` | `string` | Yes | — | — |
| `thread.projectId` | `string` | Yes | — | — |
| `thread.sourceId` | `string` | Yes | — | — |
| `thread.latestSourceId` | `string` | Yes | — | — |
| `thread.status` | `string` | Yes | queued · running · waiting · blocked · ready · failed · archived | — |
| `thread.latestRunId` | `string` | No | — | — |
| `thread.[key]` | `object` | No | — | — |

```json

```

## Status codes

- `200` — Success

- `400` — Invalid request

- `401` — Authentication required

- `403` — Permission, app scope or entitlement denied

- `404` — App, source or thread not found

- `409` — Idempotency conflict or request in progress

- `413` — Request too large

- `503` — Source storage or execution unavailable